EmbodiFlowDocs
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • Search
                • GET
                  Asset cards across dataset versions and artifacts.
                • GET
                  Single asset card with recent events.
                • POST
                  Preview a structured query against canonical parquet for one dataset version.
                • GET
                  L0 Postgres coarse filter across dataset versions visible to the caller.
                • GET
                  Facet counts for the same visible version scope as dataset-versions list.
                • GET
                  How many recordings are not in the search index yet.
                • POST
                  Explicit team Owner/Admin action: build the search profile for recordings processed before indexing existed. Derived cache, never dataset history.
                • POST
                  Structured + optional semantic catalog search (ADR 0012 / 0014).
                • GET
                  Structured catalog search schema for query builders (ADR 0012).
                • GET
                  Search this team for projects, recordings, versions, and commands
              • Workflows
                • Algorithms
                  • Models
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Search
                              4. Single asset card with recent events.

                              Single asset card with recent events.

                              GET
                              /v1/catalog/assets/{assetType}/{assetId}
                              curl -X GET 'https://api.embodiflow.io/v1/catalog/assets/{assetType}/{assetId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • assetTypestringrequired
                              • assetIdstringrequired

                              Responses

                              Success

                              • dataobjectrequired
                                • checksSummaryobject
                                • recentWorkflowRunsarray<CatalogAssetWorkflowRunSummaryDto>
                                • artifactLinksarray<CatalogAssetArtifactSummaryDto>
                                • latestObservationobject
                                • nextActionHintstring | null
                                • explainabilityobject
                                • sourceTypestring | null
                                • qualityStatusstring | null
                                • freshnessStatusstring
                                  Allowed values
                                  unknown
                                  stale
                                  fresh
                                • lineageSummaryobject
                                • ownerIdstring | null
                                • governanceTagsarray<CatalogAssetGovernanceTagDto>
                                • datasetIdstring | null
                                • updatedAtstring | null
                                • assetTypestringrequired
                                  Allowed values
                                  artifact
                                  dataset-version
                                  dataset-mixture
                                • assetIdstringrequired
                                • tenantIdstringrequired
                                • projectIdstring | nullrequired
                                • assetKeystringrequired
                                • displayNamestringrequired
                                • healthobjectrequired
                                • recentEventsarray<AssetEventSummaryDto>
                              Response example
                              {
                                "data": {
                                  "checksSummary": {
                                    "qualityStatus": "string",
                                    "datasetId": "string",
                                    "datasetVersionId": "string"
                                  },
                                  "recentWorkflowRuns": [
                                    {
                                      "id": "string",
                                      "jobType": "string",
                                      "status": "string",
                                      "createdAt": "string"
                                    }
                                  ],
                                  "artifactLinks": [
                                    {
                                      "id": "string",
                                      "artifactType": "string"
                                    }
                                  ],
                                  "latestObservation": {
                                    "id": "string",
                                    "observationKind": "external-source-hash",
                                    "sourceSystem": "string",
                                    "dataVersion": "string",
                                    "observedAt": "string",
                                    "hash": "string",
                                    "reconciliationStatus": "matched",
                                    "capabilitySummary": {}
                                  },
                                  "nextActionHint": "string",
                                  "explainability": {
                                    "assetType": "string",
                                    "assetId": "string",
                                    "healthStatus": "failed",
                                    "healthSummary": "string",
                                    "qualityStatus": "string",
                                    "handoffImpact": {
                                      "blocksExport": false,
                                      "blocksTrainingHandoff": false,
                                      "summary": "string"
                                    },
                                    "blockingChecks": [
                                      {
                                        "checkCode": "string",
                                        "severity": "string",
                                        "blocking": false,
                                        "status": "string",
                                        "message": "string"
                                      }
                                    ],
                                    "evidenceWorkflowRunId": "string",
                                    "failingNodes": [
                                      {
                                        "nodeRunId": "string",
                                        "stepKey": "string",
                                        "stepType": "string",
                                        "status": "string",
                                        "failureSummary": "string",
                                        "attempt": 0,
                                        "rerunEligible": false,
                                        "rerunUnavailableReason": "string",
                                        "inspectorHref": "string"
                                      }
                                    ],
                                    "nextActions": [
                                      {
                                        "kind": "none",
                                        "label": "string",
                                        "href": "string",
                                        "unavailableReason": "string"
                                      }
                                    ],
                                    "locators": [
                                      {
                                        "kind": "requestId",
                                        "id": "string",
                                        "label": "string",
                                        "href": "string"
                                      }
                                    ],
                                    "evidenceLinks": {
                                      "workflowRunHref": "string",
                                      "versionHref": "string",
                                      "catalogAssetHref": "string",
                                      "checksHref": "string",
                                      "lineageHref": "string",
                                      "backfillHref": "string",
                                      "logsAnchor": "string"
                                    },
                                    "relatedBackfill": {
                                      "backfillId": "string",
                                      "status": "running",
                                      "sourceDatasetVersionId": "string",
                                      "outputDatasetVersionId": "string",
                                      "progressLabel": "string",
                                      "detailHref": "string",
                                      "outputNote": "string"
                                    }
                                  },
                                  "sourceType": "string",
                                  "qualityStatus": "string",
                                  "freshnessStatus": "unknown",
                                  "lineageSummary": {
                                    "datasetId": "string",
                                    "datasetVersionId": "string",
                                    "edgeCount": 0
                                  },
                                  "ownerId": "string",
                                  "governanceTags": [
                                    {
                                      "key": "string",
                                      "value": "string"
                                    }
                                  ],
                                  "datasetId": "string",
                                  "updatedAt": "string",
                                  "assetType": "artifact",
                                  "assetId": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "assetKey": "string",
                                  "displayName": "string",
                                  "health": {
                                    "healthStatus": "failed",
                                    "lastEventAt": "string",
                                    "summary": "string",
                                    "qualityStatus": "string"
                                  },
                                  "recentEvents": [
                                    {
                                      "id": "string",
                                      "eventType": "materialized",
                                      "createdAt": "string",
                                      "payloadJson": {}
                                    }
                                  ]
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              GET /catalog/assets

                              Next

                              POST /catalog/dataset-version-queries

                              curl -X GET 'https://api.embodiflow.io/v1/catalog/assets/{assetType}/{assetId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "checksSummary": {
                                    "qualityStatus": "string",
                                    "datasetId": "string",
                                    "datasetVersionId": "string"
                                  },
                                  "recentWorkflowRuns": [
                                    {
                                      "id": "string",
                                      "jobType": "string",
                                      "status": "string",
                                      "createdAt": "string"
                                    }
                                  ],
                                  "artifactLinks": [
                                    {
                                      "id": "string",
                                      "artifactType": "string"
                                    }
                                  ],
                                  "latestObservation": {
                                    "id": "string",
                                    "observationKind": "external-source-hash",
                                    "sourceSystem": "string",
                                    "dataVersion": "string",
                                    "observedAt": "string",
                                    "hash": "string",
                                    "reconciliationStatus": "matched",
                                    "capabilitySummary": {}
                                  },
                                  "nextActionHint": "string",
                                  "explainability": {
                                    "assetType": "string",
                                    "assetId": "string",
                                    "healthStatus": "failed",
                                    "healthSummary": "string",
                                    "qualityStatus": "string",
                                    "handoffImpact": {
                                      "blocksExport": false,
                                      "blocksTrainingHandoff": false,
                                      "summary": "string"
                                    },
                                    "blockingChecks": [
                                      {
                                        "checkCode": "string",
                                        "severity": "string",
                                        "blocking": false,
                                        "status": "string",
                                        "message": "string"
                                      }
                                    ],
                                    "evidenceWorkflowRunId": "string",
                                    "failingNodes": [
                                      {
                                        "nodeRunId": "string",
                                        "stepKey": "string",
                                        "stepType": "string",
                                        "status": "string",
                                        "failureSummary": "string",
                                        "attempt": 0,
                                        "rerunEligible": false,
                                        "rerunUnavailableReason": "string",
                                        "inspectorHref": "string"
                                      }
                                    ],
                                    "nextActions": [
                                      {
                                        "kind": "none",
                                        "label": "string",
                                        "href": "string",
                                        "unavailableReason": "string"
                                      }
                                    ],
                                    "locators": [
                                      {
                                        "kind": "requestId",
                                        "id": "string",
                                        "label": "string",
                                        "href": "string"
                                      }
                                    ],
                                    "evidenceLinks": {
                                      "workflowRunHref": "string",
                                      "versionHref": "string",
                                      "catalogAssetHref": "string",
                                      "checksHref": "string",
                                      "lineageHref": "string",
                                      "backfillHref": "string",
                                      "logsAnchor": "string"
                                    },
                                    "relatedBackfill": {
                                      "backfillId": "string",
                                      "status": "running",
                                      "sourceDatasetVersionId": "string",
                                      "outputDatasetVersionId": "string",
                                      "progressLabel": "string",
                                      "detailHref": "string",
                                      "outputNote": "string"
                                    }
                                  },
                                  "sourceType": "string",
                                  "qualityStatus": "string",
                                  "freshnessStatus": "unknown",
                                  "lineageSummary": {
                                    "datasetId": "string",
                                    "datasetVersionId": "string",
                                    "edgeCount": 0
                                  },
                                  "ownerId": "string",
                                  "governanceTags": [
                                    {
                                      "key": "string",
                                      "value": "string"
                                    }
                                  ],
                                  "datasetId": "string",
                                  "updatedAt": "string",
                                  "assetType": "artifact",
                                  "assetId": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "assetKey": "string",
                                  "displayName": "string",
                                  "health": {
                                    "healthStatus": "failed",
                                    "lastEventAt": "string",
                                    "summary": "string",
                                    "qualityStatus": "string"
                                  },
                                  "recentEvents": [
                                    {
                                      "id": "string",
                                      "eventType": "materialized",
                                      "createdAt": "string",
                                      "payloadJson": {}
                                    }
                                  ]
                                }
                              }